#
# spec file for package unoconv
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           unoconv
Version:        0.7
Release:        12.1
Summary:        Tool to convert between any document format supported by LibreOffice
License:        GPL-2.0
Group:          Productivity/File utilities
Url:            http://dag.wieers.com/home-made/unoconv/
Source:         http://dag.wieers.com/home-made/unoconv/unoconv-%{version}.tar.gz
Patch0:         0001-python3-added-compatibility.patch
Patch1:         0001-update-FSF-address.patch
Patch2:         0001-make-LaTeX-export-usable-with-writer2latex-ext.patch
Patch3:         0001-libreoffice-or-OO.o-has-never-had-wps-export.patch
Patch4:         0002-remove-export-formats-dropped-by-LibreOffice.patch
Patch5:         0001-Updated-ChangeLog.patch
%if 0%{?suse_version} >= 1315
Requires:       python >= 3.0
%endif
Requires:       libreoffice-pyuno
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
unoconv converts between any document format that LibreOffice understands.
It uses LibreOffice's UNO bindings for non-interactive conversion of
documents.

Supported document formats include: Open Document Text (.odt),
Open Document Draw (.odd), Open Document Presentation (.odp),
Open Document calc (.odc), MS Word (.doc), MS PowerPoint (.pps/.ppt),
MS Excel (.xls), MS Office Open/OOXML (.xml),
Portable Document Format (.pdf), DocBook (.xml), LaTeX (.ltx),
HTML, XHTML, RTF, Docbook (.xml), GIF, PNG, JPG, SVG, BMP, EPS
and many more...

%prep
%setup -q
%if 0%{?suse_version} >= 1315
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build

%install
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install-links
rm -v %{buildroot}%{_bindir}/odt2txt

%files
%defattr(-, root, root, 0755)
%doc AUTHORS CHANGELOG.md ChangeLog COPYING README.adoc doc/*.adoc
%doc %{_mandir}/man1/unoconv.1*
%{_bindir}/*

%changelog
* Tue Dec 29 2015 adam@mizerski.pl
- Always include all patches. Just apply them conditionally.
* Mon Dec 28 2015 adam@mizerski.pl
- update to 0.7
  - Changes are in CHANGELOG.md and ChangeLog files.
- pulled patches from Fedora:
  - 0001-libreoffice-or-OO.o-has-never-had-wps-export.patch
  - 0001-make-LaTeX-export-usable-with-writer2latex-ext.patch
  - 0001-python3-added-compatibility.patch
  - this is an update/replacement for unoconv-python3.patch
  - 0001-Updated-ChangeLog.patch
  - 0001-update-FSF-address.patch
  - tweaked last line to make it appliable on unoconv
  - 0002-remove-export-formats-dropped-by-LibreOffice.patch
- made python3 patch be applied also for openSUSE Leap (boo#954814)
* Thu Oct 23 2014 adam@mizerski.pl
- made python3 patch be applied for openSUSE >= 13.2
- removed odt2txt symlink to resolve conflict with odt2txt package
* Sat Oct  4 2014 dimstar@opensuse.org
- Add unoconv-python3.patch: port to python 3. The main integration
  is with libreoffice, which also used python3 by now (boo#899736).
  Patch copied from Fedora.
* Mon Oct 29 2012 adam@mizerski.pl
- update to 0.6
  - Changes are in ChangeLog file
- removed pathes (merged upstream):
  - unoconv-0.4-LD_LIBRARY_PATH.patch
  - unoconv-libreoffice-support.patch
  - unoconv-output-argument.patch
* Wed Dec 14 2011 coolo@suse.com
- COPYING is GPL-2.0+
* Thu Oct 20 2011 adam@mizerski.pl
- fixed bnc#718115
* Thu Oct 20 2011 badshah400@gmail.com
- Added licence header in spec file
- Removed old changelogs from %%changelog section in spec file
* Wed Oct 19 2011 vuntz@opensuse.org
- Add unoconv-libreoffice-support.patch: add support for
  LibreOffice.
- Add unoconv-output-argument.patch: deprecate --outputpath in
  favor of --output, that works in a more reasonable way. Taken
  from git.
* Sat Apr 16 2011 adam@mizerski.pl
- added install-links
* Thu Dec  2 2010 adam@mizerski.pl
- fixed LD_LIBRARY_PATH handling
* Fri Oct 22 2010 adam@mizerski.pl
- update to 0.4
* Tue Apr 27 2010 adam@mizerski.pl
- added unoconv-0.3-ooo_path.patch
- some housekeeping in spec file
